---
lang: en
title: 'API docs: express.expressapplication._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/express
permalink: /doc/en/lb4/apidocs.express.expressapplication._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/express](./express.md) &gt; [ExpressApplication](./express.expressapplication.md) &gt; [(constructor)](./express.expressapplication._constructor_.md)

## ExpressApplication.(constructor)

Constructs a new instance of the `ExpressApplication` class

<b>Signature:</b>

```typescript
constructor(config?: ApplicationConfig | undefined);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  config | [ApplicationConfig](./core.applicationconfig.md) \| undefined |  |


